#include "xgfxworldvertexlayerdata.h"

XGfxWorldVertexLayerData::XGfxWorldVertexLayerData()
    : XAsset()
    , mDataPtr(0)
    , mData()
    , mLayerVb()
{
    SetName("GFX World Vertex Layer Data");
}

XGfxWorldVertexLayerData::~XGfxWorldVertexLayerData()
{
    
}

void XGfxWorldVertexLayerData::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XGfxWorldVertexLayerData::ParseData
}

void XGfxWorldVertexLayerData::Clear()
{
    mDataPtr = 0;
    mData.clear();
    mLayerVb.Clear();
}
